// 数组去重
function uniqueArray(arr, getKey) {
  const dataMap = {}
  const uniqueData = []

  arr.forEach((item) => {
    const key = getKey(item)
    // 通过判断map中是否有key，减少一次循环
    if (!dataMap[key]) {
      dataMap[key] = true
      uniqueData.push(item)
    }
  })

  return uniqueData
}

export default uniqueArray
